Pocket

List folders and spaces

Get the authenticated user's folder hierarchy with recording counts

GET
/public/folders

Authorization

ApiKeyAuth
Authorization<token>

Use Bearer pk_xxx as the authorization header value.

In: header

Response Body

application/json

application/json

application/json

curl -X GET "https://public.heypocketai.com/api/v1/public/folders"
{
  "data": [
    {
      "children": [
        {
          "children": [],
          "color": "string",
          "created_at": "string",
          "id": "string",
          "kind": "string",
          "name": "string",
          "parent_folder_id": "string",
          "recording_count": 0,
          "space_id": "string",
          "total_recording_count": 0,
          "updated_at": "string"
        }
      ],
      "color": "string",
      "created_at": "string",
      "id": "string",
      "kind": "string",
      "name": "string",
      "parent_folder_id": "string",
      "recording_count": 0,
      "space_id": "string",
      "total_recording_count": 0,
      "updated_at": "string"
    }
  ],
  "success": true
}
{
  "data": null,
  "error": "string",
  "pagination": {
    "has_more": true,
    "limit": 0,
    "page": 0,
    "total": 0,
    "total_pages": 0
  },
  "success": true
}
{
  "data": null,
  "error": "string",
  "pagination": {
    "has_more": true,
    "limit": 0,
    "page": 0,
    "total": 0,
    "total_pages": 0
  },
  "success": true
}